export const ResolveFonts = (item: any): any[] => {
    const ignore = 'Adobe'
    let f = item.layer.typeTool().export()
    const { font } = f
    const { names } = font
    let fonts = names.filter((x:any)=>x.indexOf(ignore)==-1)
    if(fonts && fonts.length>0){
        for (let i = 0; i < fonts.length; i++) {
            let x = fonts[i];
            if(/^\d+/.test(x)){
                x=x.replace(/[0-9]/ig,"")
                x=x.replace('-','')
            }
            fonts[i]=x
        }
    }
    return fonts && fonts.length>0 ? [fonts[0]] :[]
}